// ESP8266      ADF4351
//------------------------
// GPIO13       DATA
// GPIO14       CLK
// GPIO15       LE
// VCC 3.3V     CE
//------------------------
// PLL Output 1967.768MHz
// PLL Level -4dBm
// PLL Reference clock 30.72MHz

#include <SPI.h>
#include <ArduinoOTA.h>
#include <ESP8266WiFi.h>

byte data[]{
  0x00, 0x58, 0x00, 0x05, //R5
  0x00, 0x95, 0x26, 0x24, //R4
  0x00, 0x00, 0x04, 0xB3, //R3
  0x78, 0x00, 0xEE, 0x42, //R2
  0x00, 0x00, 0x14, 0x01, //R1
  0x00, 0xC0, 0x06, 0x98  //R0
};

const char* ssid = "1234";           // SSID of your Wifi network
const char* password = "12345678";  // Wi-Fi Password
IPAddress ip(192, 168, 0, 13);       //static IP address
IPAddress ip_gate(192, 168, 0, 1);
IPAddress ip_subnet(255, 255, 255, 0);
IPAddress ip_dns1(8, 8, 8, 8);
IPAddress ip_dns2(8, 8, 4, 4);

void ssidConnect() {
  WiFi.mode(WIFI_STA);
  WiFi.begin(ssid, password);
  WiFi.config(ip, ip_gate, ip_subnet, ip_dns1, ip_dns2);
  while (WiFi.status() != WL_CONNECTED) {
    delay(3000);
    ArduinoOTA.setHostname("UPConverter_2400MHz");
    ArduinoOTA.begin();
  }
}


void setup() {
  ssidConnect();
  pinMode(SS, OUTPUT);
  pinMode(SS, HIGH);
  SPI.beginTransaction(SPISettings(1000000, MSBFIRST, SPI_MODE0));
  SPI.begin();
  delay(50);

  for (int i = 0; i < sizeof(data); i += 4) {
    digitalWrite(SS, LOW);
    SPI.transfer(char(data[i]));
    SPI.transfer(char(data[i + 1]));
    SPI.transfer(char(data[i + 2]));
    SPI.transfer(char(data[i + 3]));
    SPI.endTransaction();
    digitalWrite(SS, HIGH);
  }

}

void loop() {

  ArduinoOTA.handle();
 
}